https://dagster.io/ logo
#ask-community
Title
# ask-community
d

Dylan Bienstock

06/08/2021, 10:01 PM
Hi everyone, I got an interesting error while trying to run a pipeline. It said it was unable to get event logs for the run id. My pipeline runs successfully but figured I would share
Copy code
Message: Event logs invalid for run id 8837d735-d0e7-4bdd-9456-cac93541ef3a

Path: 

Locations: 

Stack Trace:
  File "/usr/local/lib/python3.7/site-packages/rx/core/observablebase.py", line 67, in set_disposable
    subscriber = self._subscribe_core(auto_detach_observer)
  File "/usr/local/lib/python3.7/site-packages/rx/core/anonymousobservable.py", line 20, in _subscribe_core
    return self._subscribe(observer)
  File "/usr/local/lib/python3.7/site-packages/dagster_graphql/implementation/pipeline_run_storage.py", line 11, in __call__
    events = self.instance.logs_after(self.run_id, self.after_cursor)
  File "/usr/local/lib/python3.7/site-packages/dagster/core/instance/__init__.py", line 997, in logs_after
    return self._event_storage.get_logs_for_run(run_id, cursor=cursor, of_type=of_type)
  File "/usr/local/lib/python3.7/site-packages/dagster/core/storage/event_log/sql_event_log.py", line 199, in get_logs_for_run
    events_by_id = self.get_logs_for_run_by_log_id(run_id, cursor, of_type)
  File "/usr/local/lib/python3.7/site-packages/dagster/core/storage/event_log/sql_event_log.py", line 178, in get_logs_for_run_by_log_id
    raise DagsterEventLogInvalidForRun(run_id=run_id) from err

The above exception was the direct cause of the following exception:

Message: Invariant failed. Description: Attempted to deserialize class "ComputeLogsCaptureData" which is not in the whitelist.

Stack Trace:
  File "/usr/local/lib/python3.7/site-packages/dagster/core/storage/event_log/sql_event_log.py", line 175, in get_logs_for_run_by_log_id
    deserialize_json_to_dagster_namedtuple(json_str), "event", EventRecord
  File "/usr/local/lib/python3.7/site-packages/dagster/serdes/serdes.py", line 242, in deserialize_json_to_dagster_namedtuple
    check.str_param(json_str, "json_str"), whitelist_map=_WHITELIST_MAP
  File "/usr/local/lib/python3.7/site-packages/dagster/serdes/serdes.py", line 252, in _deserialize_json_to_dagster_namedtuple
    return _unpack_value(seven.json.loads(json_str), whitelist_map=whitelist_map)
  File "/usr/local/lib/python3.7/site-packages/dagster/serdes/serdes.py", line 287, in _unpack_value
    unpacked_val = {key: _unpack_value(value, whitelist_map) for key, value in val.items()}
  File "/usr/local/lib/python3.7/site-packages/dagster/serdes/serdes.py", line 287, in <dictcomp>
    unpacked_val = {key: _unpack_value(value, whitelist_map) for key, value in val.items()}
  File "/usr/local/lib/python3.7/site-packages/dagster/serdes/serdes.py", line 287, in _unpack_value
    unpacked_val = {key: _unpack_value(value, whitelist_map) for key, value in val.items()}
  File "/usr/local/lib/python3.7/site-packages/dagster/serdes/serdes.py", line 287, in <dictcomp>
    unpacked_val = {key: _unpack_value(value, whitelist_map) for key, value in val.items()}
  File "/usr/local/lib/python3.7/site-packages/dagster/serdes/serdes.py", line 278, in _unpack_value
    f'Attempted to deserialize class "{klass_name}" which is not in the whitelist.',
  File "/usr/local/lib/python3.7/site-packages/dagster/check/__init__.py", line 167, in invariant
    raise CheckError(f"Invariant failed. Description: {desc}")
d

daniel

06/08/2021, 10:02 PM
Hi Dylan - typically indicates that your pipeline code is running on a newer version of dagster than your dagit is. You'll likely be able to fix this by updating dagster and dagit to the latest version
d

Dylan Bienstock

06/08/2021, 10:04 PM
That is exactly what I think is happening. Thanks
2 Views